W shlib-without-versioned-soname

All reports of shlib-without-versioned-soname for the archive. The extended description of this tag is:

The listed shared library in a public library directory has an SONAME that does not contain any versioning information, either after the .so or before it and set off by a hyphen. It cannot therefore be represented in the shlibs system, and if linked by binaries its interface cannot safely change. There is no backward-compatible way to migrate programs linked against it to a new ABI.

Normally, this means the shared library is a private library for a particular application and is not meant for general use. Policy recommends that such libraries be installed in a subdirectory of /usr/lib rather than in a public shared library directory.

To view the SONAME of a shared library, run readelf -d on the shared library and look for the tag of type SONAME.

There are some special stub libraries or special-purpose shared objects for which an ABI version is not meaningful. If this is one of those cases, please add an override.

Refer to Debian Policy Manual section 10.2 (Libraries) and Debian Policy Manual section 8.6 (Dependencies between the library and other packages) for details.

Severity: normal, Certainty: possible

Check: shared-libs, Type: binary, udeb

Evolution of the shlib-without-versioned-soname Lintian tag over the past 366 days:

History of shlib-without-versioned-soname

Emitted (non-overridden): 61, overridden: 337, total: 398

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

amd-opencl-icd-legacy 8.97.100.7-4 (binary) overridden

cantor 4:4.11.3-1 (binary) overridden

cantor 4:4.12.3-1 (binary) overridden

ircd-ratbox 3.0.8.dfsg-1 (binary) overridden

kde-runtime 4:4.11.5-1 (binary) overridden

kde-runtime 4:4.12.3-1 (binary) overridden

kdevelop 4:4.5.2-1 (binary) overridden

kdevelop-php 1.5.2-1 (binary) overridden

kmplayer 1:0.11.3d-2 (binary) overridden

konsole 4:4.11.3-1 (binary) overridden

konsole 4:4.12.3-1 (binary) overridden

kopete 4:4.11.5-1 (binary) overridden

kopete 4:4.12.3-1 (binary) overridden

ldc 0.13.0alpha2-1 (binary)

libc6 2.18-4 (binary)

libc6-amd64 2.18-4 (binary)

libc6-i386 2.18-4 (binary)

libc6-x32 2.18-4 (binary)

libcg 3.1.0013-1 (binary) overridden

libcggl 3.1.0013-1 (binary) overridden

libhx-dev 3.19-1 (binary)

libib-util 2.5.2.26540.ds4-9 (binary) overridden

libib-util 3.0.0~svn+53030.ds3-1 (binary) overridden

libiomp5 0.20131209-1 (binary) overridden

libnspr4 2:4.10.4-1 (binary) overridden

libnss-winbind 2:4.1.6+dfsg-1 (binary) overridden

libnss3 2:3.16-1 (binary) overridden

libphp5-embed 5.5.11+dfsg-2 (binary)

libphp5-embed 5.6.0~beta1+dfsg-1 (binary)

libsbml5-java 5.8.0-2 (binary) overridden

libsss-sudo 1.11.5-1 (binary) overridden

libtcl8.4 8.4.20-7 (binary) overridden

libtcl8.5 8.5.15-4 (binary) overridden

libtcl8.6 8.6.1-6 (binary) overridden

libtk8.4 8.4.20-7 (binary) overridden

libtk8.5 8.5.15-4 (binary) overridden

libtk8.6 8.6.1-5 (binary) overridden

libusb-java-lib 0.8+ztex20090101-7 (binary)

libvtk6-dev 6.0.0-6 (binary) overridden

lldb-3.3 1:3.3-16 (binary)

lldb-3.4 1:3.4-2 (binary)

lldb-3.5 1:3.5~svn201651-1 (binary)

mlterm-common 3.3.2-1 (binary)

mono-runtime 3.0.6+dfsg2-12 (binary)

mono-runtime-common 3.2.8+dfsg-4 (binary)

nepomuk-core-runtime 4:4.11.5-2 (binary) overridden

nepomuk-core-runtime 4:4.12.3-1 (binary) overridden

openct 0.6.20-1.2 (binary)

opensc-pkcs11 0.13.0-5 (binary)

paraview 4.0.1+dfsg-1 (binary)

partitionmanager 1.0.3-2 (binary) overridden

plasma-desktop 4:4.11.8-1 (binary) overridden

plasma-nm 0.9.3.3-2 (binary)

print-manager 4:4.11.5-1 (binary)

print-manager 4:4.12.3-1 (binary)

smb4k 1.0.9-1 (binary) overridden

soundkonverter 2.1.1-1 (binary) overridden

virtualbox-guest-x11 4.3.10-dfsg-1 (binary) overridden